package com.fxy.detection.bean;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.ArrayList;
import java.util.List;

public class SuspendBean implements Parcelable {
    private String type;
    private String content;
    private List<BtnInfoBean> btns = new ArrayList<>(); //

    public SuspendBean(){

    }
    protected SuspendBean(Parcel in) {
        type = in.readString();
        content = in.readString();
        btns = in.createTypedArrayList(BtnInfoBean.CREATOR);
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(type);
        dest.writeString(content);
        dest.writeTypedList(btns);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<SuspendBean> CREATOR = new Creator<SuspendBean>() {
        @Override
        public SuspendBean createFromParcel(Parcel in) {
            return new SuspendBean(in);
        }

        @Override
        public SuspendBean[] newArray(int size) {
            return new SuspendBean[size];
        }
    };

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public List<BtnInfoBean> getBtns() {
        return btns;
    }

    public void setBtns(List<BtnInfoBean> btns) {
        this.btns = btns;
    }
}
